#include <bits/stdc++.h>
using namespace std;

struct rebro{
    long long from,to;
};

rebro a[100029];

int main() {
    long long n,m;

    cin>>n>>m;

    for(int i=0;i<m;i++){
        cin>>a[i].from>>a[i].to;
    }

    cout<<"NO";

}
